Subject: bug#31675: Existing directories and files permissions are not being kept intact

From: Gunjan Gupta <[email-masked]>
Date: Mon, 4 Jun 2018 11:20:47 +0530

Nice, it works!!! I only applied the patch to the copy.c file and didn't
patched the test and NEWS file on my system though.

I have another question. Can I tell cp to only preserve the executable mode
for a file?

Thanks & Regards
Gunjan Gupta

On Mon, Jun 4, 2018 at 5:03 AM, Gunjan Gupta <[email-masked]> wrote:

> That was fast, I will test it and let you know if I face any issues
>
>
> Thanks & Regards
> Gunjan Gupta
>
> On Mon 4 Jun, 2018, 4:58 AM Pádraig Brady, <[email-masked]> wrote:
>
>> On 03/06/18 15:43, Pádraig Brady wrote:
>> > Actually looking more, this is a relatively recent change:
>> > https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;
>> h=v8.19-145-g24ebca6
>> >
>> > Also in retrospect, using --no-preserve=mode should
>> > have no guarantees on the mode bits of the destination.
>> > So it's probably best to leave existing mode bits in place.
>> >
>> > Let me see if I can come up with a patch...
>>
>> I pushed a fix in:
>> https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=5e7b892
>>
>> thanks,
>> Pádraig
>>
>